<template>
  <path
    d="m93.62 171.43 0.534-0.575v-35.406l-0.954-0.585c-3.734-2.291-8.274-3.545-12.966-3.545-5.64 0-10.92 1.747-14.682 5.295-3.804 3.587-5.856 8.832-5.311 15.371 0.53 6.372 2.67 11.061 6.218 14.177a8.013 8.013 0 0 0-0.243 3.21c0.39 3.269 2.042 5.624 4.595 7.075 2.434 1.382 5.55 1.872 8.867 1.872 5.48 0 10.284-2.947 13.942-6.889z"
    stroke="#000"
    stroke-width="4"
    fill="none"
  />
  <path
    d="m100.13 152.3c0.071-0.652 0.108-1.314 0.108-1.984 0-10.217-9.507-17-20-17s-19 6.5-18 18.5c0.556 6.677 2.946 11.072 6.65 13.717-0.588 1.024-0.845 2.227-0.682 3.6 0.63 5.281 5.138 7.183 11.476 7.183 11.105 0 19.892-14.047 20.448-24.016z"
    clip-rule="evenodd"
    :fill="props.color"
    fill-rule="evenodd"
  />
  <path
    d="m84.654 141.82c-4-1.833-12.8-2.8-16 8"
    stroke="#171921"
    stroke-width="4"
    fill="none"
  />
  <path
    d="m74.154 142.32c2.167 1.833 6.3 7.5 5.5 15.5"
    stroke="#171921"
    stroke-width="4"
  />

  <path
    v-if="props.earring === 'big'"
    d="m84.685 170.36c13.255 0 24 10.745 24 24s-10.745 24-24 24c-13.255 0-24-10.745-24-24 0-6.391 3.5-11.5 6.572-16.5l0.928-1.5"
    stroke="#f4d150"
    stroke-width="4"
    fill="none"
  />
  <template v-if="props.earring === 'small'">
    <circle cx="83.37" cy="170.81" r="4" fill="#f4d150" />
    <circle cx="84.37" cy="169.81" r="1" fill="#ffedef" />
  </template>
</template>

<script lang="ts" setup>
import { EarringType } from '@/api'

const props = defineProps<{
  color: string
  earring: EarringType
}>()
</script>
